//------------------------------------------------------------------------------  
//title: VMEBus Library for Universe Driver
//version: Linux 1.1
//date: April 1999
//designer: Michael Wyrick                                                      
//programmer: Michael Wyrick                                                    
//company: Umbra System Inc.
//platform: Linux 2.2.x, 2.4.x                                    
//language: GCC 2.95, 3.0
//module: 
//------------------------------------------------------------------------------  
//  Purpose:                                                                    
//  Docs:                                                                       
//------------------------------------------------------------------------------  
#ifndef VMELIB_H
#define VMELIB_H

// Default Mapping - Address Space : VME_CR_CSR 
//                   Access Type   : Program
//                   User Type     : User 
//                   Data Size     : DO8
//                   Block Mode    : Non-Block Mode

#define VME_CR_CSR	0x00
#define VME_A16		0x01   
#define VME_A24		0x02
#define VME_A32		0x03

#define VME_DATA	0x04     
#define VME_SUPERVISOR  0x08     

#define VME_SIZE_DO8	0x00
#define VME_SIZE_D16	0x20
#define VME_SIZE_D32	0x40
#define VME_SIZE_D64	0x60

#define VME_BLOCK       0x10
#define VME_DMA_MODE    0x80

// Internal constants only to libvme
#define VME_CYCLE	    0x10
#define VME_SIZE 	    0x60
#define MODE_PROGRAMMED 0x01
#define MODE_DMA        0x02
#define VME_SUP_USR	    0x08
#define VME_PRG_DATA    0x04
#define MODE_PROGRAMMED 0x01
#define MODE_DMA	    0x02

#endif // VMELIB_H
